#include <stdio.h>
#include "SceneRender.h"

void renderScene(Scene *s1, FrameBuffer *fb)
{
   Scene *s2 = P1_Model2World(s1); // apply the model transformation

   Scene *s3 = P2_Lighting(s2);    // compute vertex shading

   Scene *s4 = P3_World2View(s3);  // apply the view transformation

   Scene *s5 = P4_View2Clip(s4);   // apply the projection transformation

   Scene *s6 = P5_Clip(s5);        // clip triangles to the standard volume

   P6(s6);                         // let OpenGL finish the pipeline

   FB(fb);                         // test the framebuffer

   delete s2;

   return;
}//renderScene()
