#ifndef SCENERENDER_H
#define SCENERENDER_H

#include <windows.h>

#include "SceneLib.h"
#include "Framebuffer.h"

void renderScene(Scene* s, FrameBuffer* fb);

Scene *P1_Model2World(Scene *s); // apply the model transformation
Scene *P2_Lighting(Scene *s);    // compute vertex shading
Scene *P3_World2View(Scene *s);  // apply the view transformation
Scene *P4_View2Clip(Scene *s);   // apply the projection transformation
Scene *P5_Clip(Scene *s);        // clip triangles to the standard volume
  void P6(Scene *s);             // let OpenGL finish the pipeline
  void FB(FrameBuffer *fb);      // test the framebuffer

#endif /* SCENERENDER_H */
